## harfbuzz 0.9.9

=== debian/changelog ===
harfbuzz (0.9.9-1ubuntu2) raring; urgency=low

  * debian/patches/git_symbol_test_arm.patch:
    - Fix failing test on ARM

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Dec 2012 17:40:11 +1300

harfbuzz (0.9.9-1ubuntu1) raring; urgency=low

  * debian/patches/git_symbol_test.patch:
    - Fix failing test

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Dec 2012 16:15:47 +1300

harfbuzz (0.9.9-1) experimental; urgency=low

  * Initial Release. (Closes: #687161)

  [ Andreas Henriksson ]
  * Imported Upstream version 0.9.9
  * Update symbols file for 0.9.9

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 07 Dec 2012 10:31:26 +0200
