## harfbuzz 0.9.10

=== debian/changelog ===
harfbuzz (0.9.10-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    + Bumped Standards-Version to 3.9.4
    + Use canonical URIs in VCS-* fields
    + Added libgraphite2-dev to Build-Deps to enable Graphite2 backend
  * Update symbols file
  * Use autotools_dev to update outdated autotools helper files.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 09 Jan 2013 01:00:54 +0200
