=== debian/control ===
Source: harfbuzz
Section: libs
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libicu-dev, libfreetype6-dev, libgraphite2-dev, autotools-dev
Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git

Package: libharfbuzz0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenType text shaping engine
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 This package contains the shared libraries.

Package: libharfbuzz-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libharfbuzz0 (= ${binary:Version})
Description: Development files for OpenType text shaping engine
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 This package contains the header files and static libraries for the
 FriBidi C library.

Package: libharfbuzz-bin
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenType text shaping engine (utility)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 This package contains a command line interface for the harfbuzz library.
