## harfbuzz 0.9.12

=== debian/changelog ===
harfbuzz (0.9.12-1ubuntu1) raring; urgency=low

  * Build without graphite2, it's in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Feb 2013 15:02:49 +0000

harfbuzz (0.9.12-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/libharfbuzz0.symbols: Update symbols.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 20 Jan 2013 12:44:54 +0200
