=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libicu-dev, libfreetype6-dev, libgraphite2-dev, autotools-dev
+Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libicu-dev, libfreetype6-dev, autotools-dev
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
 Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git
