## harfbuzz 0.9.13

=== debian/changelog ===
harfbuzz (0.9.13-1) experimental; urgency=low

  * New upstream release.
  * Disable Graphite2 backend, since it is unbuildable on some archs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 28 Feb 2013 09:29:37 +0200
