=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libicu-dev, libfreetype6-dev, autotools-dev
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
