## harfbuzz 0.9.19

=== debian/changelog ===
harfbuzz (0.9.19-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 23 Jul 2013 22:37:34 +0200

harfbuzz (0.9.18-3) unstable; urgency=low

  * debian/patches/0001-Fix-build-without-graphite2.patch:
    + Removed, graphite2 is now available on armel and sparc so we can
      build with graphite2 support everywhere.
  * debian/control,
    debian/rules:
    + Build with graphite2 support everywhere in the normal build.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 02 Jun 2013 15:23:10 +0200

harfbuzz (0.9.18-2) unstable; urgency=low

  * Add myself to Uploaders.
  * debian/patches/0001-Fix-build-without-graphite2.patch:
    + Fix build when graphite2 is not installed. Fixes FTBFS on armel
      and sparc.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 02 Jun 2013 11:16:48 +0200

harfbuzz (0.9.18-1) unstable; urgency=low

  * New upstream release.
  * Removed icu.patch & graphite2.diff patches, as they got applied upstream.
  * Removed autoreconf
  * Add Graphite2 support (except for armel & sparc archs)
  * debian/libharfbuzz-dev.install: Install harfbuzz-icu.* development files.
  * Do not disable ICU in udeb, it is not needed anymore and it causes FTBFS.
  * Added libharfbuzz-icu0 package in which ICU support library is installed.
  * Renamed libharfbuzz0 to libharfbuzz0a.
  * debian/control:
    + Added libharfbuzz-icu0 to -dev package Depends.
    + Added Breaks/Replaces: libharfbuzz0 for libharfbuzz0a
  * debian/*.symbols: fixed package names.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 31 May 2013 17:02:53 +0200

harfbuzz (0.9.17-4) unstable; urgency=low

  * Added icu.patch patch to add configure option to enable/disable ICU 
    support.
    Thanks to Emilio Pozuelo Monfort <pochu@debian.org>
  * Added graphite2.diff patch to add configure option to enable/disable 
    Graphite2 support.
  * Use autoreconf
  * Re-enable ICU support
  * Disable ICU support only for the udeb target. (Closes: #709926)
    (LP: #1184340)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 27 May 2013 22:47:30 +0200

harfbuzz (0.9.17-3) unstable; urgency=low

  * Disable ICU support, as it pulls libicu & libstdc++, for which no udebs
    exist.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #709796)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 25 May 2013 22:35:22 +0200

harfbuzz (0.9.17-2) unstable; urgency=low

  * Added udeb package

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 23 May 2013 13:00:29 +0200

harfbuzz (0.9.17-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 22 May 2013 17:00:26 +0200

harfbuzz (0.9.16-1) experimental; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 20 Apr 2013 19:28:43 +0200

harfbuzz (0.9.15-1) experimental; urgency=low

  * New upstream release.
    + src/check-symbols.sh: Removed T marker (Closes: #704665)
  * Fixed libharfbuzz-dev description: FriBidi -> HarfBuzz
  * debian/libharfbuzz0.symbols: Added Build-Depends-Package field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 02 Apr 2013 09:01:01 +0200

harfbuzz (0.9.14-1) experimental; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 30 Mar 2013 22:17:31 +0200
