=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,21 @@
 
 %:
 	dh $@ --with autotools_dev
+
+override_dh_auto_configure:
+	dh_auto_configure --builddir build-main -- --with-graphite2=yes
+	dh_auto_configure --builddir build-udeb -- --with-graphite2=no
+
+override_dh_auto_clean:
+	dh_auto_clean --builddir build-main
+	dh_auto_clean --builddir build-udeb
+
+override_dh_auto_build:
+	dh_auto_build --builddir build-main
+	dh_auto_build --builddir build-udeb
+
+override_dh_auto_install:
+	dh_auto_install --builddir build-main
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb"
