## harfbuzz 0.9.25

=== debian/changelog ===
harfbuzz (0.9.25-1) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.

  [ Iain Lane ]
  * Build with dh-autoreconf; thanks to Matthias Klose for the original change
    in Ubuntu.
  * Build without silent rules.

  [ Emilio Pozuelo Monfort ]
  * Wrap build depends.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 18 Dec 2013 13:29:08 +0200

harfbuzz (0.9.24-2) unstable; urgency=low

  * debian/control:
    + Add missing breaks/replaces on libharfbuzz0a.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 04 Dec 2013 17:49:59 +0100

harfbuzz (0.9.24-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped Standards-Version to 3.9.5.
  * SO bumped libharfbuzz0a to libharfbuzz0b
  * Added libharfbuzz-gobject0 for GObject bindings library and
    gir1.2-harfbuzz-0.0 for GObject introspection data
  * Added documentation package: libharfbuzz-doc
  * debian/libharfbuzz0b.symbols: Updated symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 20 Nov 2013 09:49:08 +0200
