=== debian/control ===
--- 
+++ 
@@ -3,24 +3,57 @@
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libfreetype6-dev, libicu-dev, libgraphite2-dev, autotools-dev
+Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9~),
+ pkg-config,
+ libglib2.0-dev,
+ libcairo2-dev,
+ libfreetype6-dev,
+ libicu-dev,
+ libgraphite2-dev,
+ libgirepository1.0-dev (>= 1.31.0-2),
+ gobject-introspection,
+ gtk-doc-tools (>= 1.15),
+ dh-autoreconf,
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
 Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git
 
-Package: libharfbuzz0a
+Package: libharfbuzz0b
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libharfbuzz0
-Replaces: libharfbuzz0
+Breaks: libharfbuzz0, libharfbuzz0a
+Replaces: libharfbuzz0, libharfbuzz0a
 Pre-Depends: ${misc:Pre-Depends}
 Description: OpenType text shaping engine (shared library)
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
  .
  This package contains the shared libraries.
+
+Package: libharfbuzz-gobject0
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenType text shaping engine ICU backend (GObject library)
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains the GObject library, providing wrapper GObject type
+ bindings for all HarfBuzz objects and enums.
+
+Package: gir1.2-harfbuzz-0.0
+Section: introspection
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
+Description: OpenType text shaping engine (GObject introspection data)
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains introspection data for the GObject bindings library.
 
 Package: libharfbuzz-icu0
 Architecture: any
@@ -36,7 +69,7 @@
 Package: libharfbuzz-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libharfbuzz0a (= ${binary:Version}), libharfbuzz-icu0 (= ${binary:Version})
+Depends: ${misc:Depends}, libharfbuzz0b (= ${binary:Version}), libharfbuzz-icu0 (= ${binary:Version}), libharfbuzz-gobject0 (= ${binary:Version})
 Description: Development files for OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
@@ -54,6 +87,17 @@
  .
  This package contains a command line interface for the HarfBuzz library.
 
+Package: libharfbuzz-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: Documentation files for the HarfBuzz library
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains the HTML documentation for the HarfBuzz library.
+
 Package: libharfbuzz0-udeb
 Package-Type: udeb
 Architecture: any
