=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf --with gir
 
 override_dh_auto_configure:
-	dh_auto_configure --builddir build-main -- --with-graphite2=yes
-	dh_auto_configure --builddir build-udeb -- --with-graphite2=no
+	dh_auto_configure --builddir build-main -- --with-graphite2=yes --enable-introspection --with-gobject --enable-gtk-doc --disable-silent-rules
+	dh_auto_configure --builddir build-udeb -- --with-graphite2=no --disable-silent-rules
 
 override_dh_auto_clean:
 	dh_auto_clean --builddir build-main
