## harfbuzz 0.9.27

=== debian/changelog ===
harfbuzz (0.9.27-1ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: memory access issue in hb-ot-layout-gpos-table.hh
    - debian/patches/CVE-2015-8947.patch: call check_struct earlier in
      src/hb-ot-layout-gpos-table.hh.
    - CVE-2015-8947

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2016 11:20:31 -0400

harfbuzz (0.9.27-1ubuntu1) trusty; urgency=medium

  * debian/patches/0001-graphite2-Fix-cluster-mapping.patch: Cherry-pick a
    patch from upstream (in 0.9.30) to fix a crasher in the graphite2 engine
    when rendering some scripts (e.g. happens on Myanmar text). (LP: #1303516)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 21 Jul 2014 11:52:19 +0100

harfbuzz (0.9.27-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 22 Mar 2014 09:22:46 +0200

harfbuzz (0.9.26-4) unstable; urgency=low

  * Don't bail out on failed tests, the failed tests are not a problem in
    HarfBuzz itself.
    Thanks to Emilio Pozuelo Monfort <pochu@debian.org>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 04 Feb 2014 15:48:03 +0200

harfbuzz (0.9.26-3) unstable; urgency=low

  * Re-enable the test suite.
    Since HarfBuzz has two builds, dh_auto_test needs to be overridden as
    with the other dh_auto_*.
    Thanks to Pino Toscano <pino@debian.org> (Closes: #737473)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 03 Feb 2014 04:33:36 +0200

harfbuzz (0.9.26-2) unstable; urgency=low

  [ Iain Lane ]
  * Use Conflicts instead of Breaks for old library packages with same SONAME
    to ensure they are fully removed (thanks to Steve Langasek in Ubuntu).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 02 Feb 2014 23:26:21 +0200

harfbuzz (0.9.26-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 02 Feb 2014 22:07:55 +0200
