=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Standards-Version: 3.9.5
 Build-Depends:
@@ -24,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libharfbuzz0, libharfbuzz0a
+Conflicts: libharfbuzz0, libharfbuzz0a
 Replaces: libharfbuzz0, libharfbuzz0a
 Pre-Depends: ${misc:Pre-Depends}
 Description: OpenType text shaping engine (shared library)
