=== debian/watch ===
version=3
http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-([\d\.]+)\.tar\.bz2
