## harfbuzz 0.9.35

=== debian/changelog ===
harfbuzz (0.9.35-2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2015-8947
    fix for buffer over-read in hb-ot-layout-gpos-table.hh

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Dec 2019 16:45:02 +0100

harfbuzz (0.9.35-2) unstable; urgency=medium

  * debain/clean: Remove test/shaping/*.pyc during clean
  * debian/rules: Build static libraries.
  * debian/libharfbuzz-dev.install:
    + Install static libraries (LP: #1385616)
    + Simplify file
  * debian/control: Bumped Standards-Version to 3.9.6
  * Update my email.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 30 Oct 2014 12:43:28 +0200

harfbuzz (0.9.35-1) unstable; urgency=medium

  * New upstream release.
  * Remove hb-xetex.patch, it is included upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 14 Aug 2014 11:47:30 +0300

harfbuzz (0.9.34-2) unstable; urgency=medium

  * Added hb-xetex.patch patch from upstream to fix shape-plan caching with
    more than one requested shaper
    (Closes: #750785)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 13 Aug 2014 17:01:09 +0300

harfbuzz (0.9.34-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Aug 2014 10:17:03 +0300

harfbuzz (0.9.33-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Added unbreak_abi.diff patch to Re-add hb_version_check to unbreak API/ABI.
    This patch should be removed on the next API/ABI break by upstream.
    See: #755094
  * Revert last SO bump, libharfbuzz0c back to libharfbuzz0b.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 30 Jul 2014 11:38:44 +0200

harfbuzz (0.9.32-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 20 Jul 2014 10:23:40 +0200

harfbuzz (0.9.30-1) experimental; urgency=medium

  * New upstream release.
  * SO bumped libharfbuzz0b to libharfbuzz0c.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 15 Jul 2014 10:33:48 +0200

harfbuzz (0.9.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/rules: Get failing tests' stdout and stderr so we have some
    information when a build fails.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 05 Jun 2014 11:05:24 +0300

harfbuzz (0.9.28-2) unstable; urgency=medium

  * Build-Dep on gobject-introspection >= 1.34.0 (Closes: #749305)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 26 May 2014 11:54:26 +0300

harfbuzz (0.9.28-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 08 May 2014 10:00:19 +0200
