=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9~),
  pkg-config,
@@ -14,7 +13,7 @@
  libicu-dev,
  libgraphite2-dev,
  libgirepository1.0-dev (>= 1.31.0-2),
- gobject-introspection,
+ gobject-introspection (>= 1.34.0),
  gtk-doc-tools (>= 1.15),
  dh-autoreconf,
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
