## harfbuzz 0.9.37

=== debian/changelog ===
harfbuzz (0.9.37-1) experimental; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 25 Dec 2014 14:19:35 +0200

harfbuzz (0.9.36-1) experimental; urgency=medium

  * New upstream release.
  * Add debian/gbp.conf to set debian branch to experimental.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 28 Nov 2014 08:32:35 +0200
