## harfbuzz 1.0.1

=== debian/changelog ===
harfbuzz (1.0.1-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: memory access issue in hb-ot-layout-gpos-table.hh
    - debian/patches/CVE-2015-8947.patch: call check_struct earlier in
      src/hb-ot-layout-gpos-table.hh.
    - CVE-2015-8947
  * SECURITY UPDATE: buffer over-read via inverted length check
    - debian/patches/CVE-2016-2052.patch: fix hmtx wrong table length check
      in src/hb-ot-font.cc.
    - CVE-2016-2052

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2016 11:14:40 -0400

harfbuzz (1.0.1-1build2) wily; urgency=medium

  * No change rebuilds for missing ddebs

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Oct 2015 11:30:16 +0100

harfbuzz (1.0.1-1build1) wily; urgency=medium

  * Rebuild for icu 55.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Aug 2015 21:21:30 +0000

harfbuzz (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Make failing tests fatal again.
    See comment in #737473
    Thanks to Pino Toscano <pino@debian.org>
  * debian/copyright: Update upstream copyright years.
  * debian/libharfbuzz0b.symbols, debian/libharfbuzz-gobject0.symbols: update
    symbols files.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 28 Jul 2015 14:29:08 +0200

harfbuzz (0.9.41-1) unstable; urgency=medium

  * New upstream release.
  * debian/libharfbuzz0b.symbols: update symbols file.
  * debian/libharfbuzz-gobject0.symbols: remove symbol that was introduced by
    mistake by upstream. SO bump is not required since no other package
    depends on that package yet.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 29 Jun 2015 15:29:27 +0200

harfbuzz (0.9.40-3) unstable; urgency=medium

  * Provide debug symbols package for libharfbuzz0b (Closes: #744989)
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2015 10:13:11 +0200

harfbuzz (0.9.40-2) unstable; urgency=medium

  * Upload to unstable.
  * Remove debian/gbp.conf, not needed in master branch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 26 Apr 2015 19:52:42 +0200

harfbuzz (0.9.40-1) experimental; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 24 Mar 2015 13:19:09 +0200

harfbuzz (0.9.39-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Mar 2015 11:52:42 +0200

harfbuzz (0.9.38-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Feb 2015 20:01:51 +0200
