=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Standards-Version: 3.9.6
 Build-Depends:
@@ -107,3 +108,15 @@
 Description: OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
+
+Package: libharfbuzz0b-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, ${shlibs:Depends}, libharfbuzz0b (= ${binary:Version})
+Description: OpenType text shaping engine
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains detached debugging symbols for libharfbuzz.
