=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,15 @@
 	dh_auto_build --builddir build-udeb
 
 override_dh_auto_test:
-	dh_auto_test --builddir build-main || true
-	dh_auto_test --builddir build-udeb || true
+	dh_auto_test --builddir build-main
+	dh_auto_test --builddir build-udeb
 
 override_dh_auto_install:
 	dh_auto_install --builddir build-main
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb"
+
+override_dh_strip:
+	dh_strip -plibharfbuzz0b --dbg-package=libharfbuzz0b-dbg
+	dh_strip -Nlibharfbuzz0b
