## harfbuzz 1.2.6

=== debian/changelog ===
harfbuzz (1.2.6-2) unstable; urgency=medium

  * debian/control: Add missing dependencies to libharfbuzz-dev.
    Closes: #822432.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Apr 2016 22:26:59 +0200

harfbuzz (1.2.6-1) unstable; urgency=medium

  * New upstream release. Closes: #820596.
  * debian/patches/unbreak_abi.diff: Refresh.
  * debian/libharfbuzz0b.symbols: Add new symbols.
  * debian/control: Make libharfbuzz-dev M-A: same. Closes: #801669.
  * debian/control: Bump gobject-introspection b-d. Closes: #734389.
  * debian/control, debian/rules: Drop -dbg package, we now have dbgsyms.
  * debian/control: Bump Standards-Version to 3.9.8; no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Apr 2016 10:14:57 +0200
