## harfbuzz 1.2.7

=== debian/changelog ===
harfbuzz (1.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 18 Jul 2016 18:26:29 +0200
