=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
  debhelper (>= 9~),
  pkg-config,
@@ -14,7 +13,7 @@
  libicu-dev,
  libgraphite2-dev,
  libgirepository1.0-dev (>= 1.31.0-2),
- gobject-introspection (>= 1.34.0),
+ gobject-introspection (>= 1.42.0),
  gtk-doc-tools (>= 1.15),
  dh-autoreconf,
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
@@ -69,8 +68,16 @@
 
 Package: libharfbuzz-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libharfbuzz0b (= ${binary:Version}), libharfbuzz-icu0 (= ${binary:Version}), libharfbuzz-gobject0 (= ${binary:Version})
+Depends:
+ ${misc:Depends},
+ libharfbuzz0b (= ${binary:Version}),
+ libharfbuzz-icu0 (= ${binary:Version}),
+ libharfbuzz-gobject0 (= ${binary:Version}),
+ libglib2.0-dev (>= 2.16),
+ libgraphite2-dev,
+ libicu-dev,
 Description: Development files for OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
@@ -108,15 +115,3 @@
 Description: OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
-
-Package: libharfbuzz0b-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, ${shlibs:Depends}, libharfbuzz0b (= ${binary:Version})
-Description: OpenType text shaping engine
- HarfBuzz is an implementation of the OpenType Layout engine (aka layout
- engine) and the script-specific logic (aka shaping engine).
- .
- This package contains detached debugging symbols for libharfbuzz.
