=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb"
-
-override_dh_strip:
-	dh_strip -plibharfbuzz0b --dbg-package=libharfbuzz0b-dbg
-	dh_strip -Nlibharfbuzz0b
