## harfbuzz 1.4.2

=== debian/changelog ===
harfbuzz (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump glib requirement.
  * debian/rules: Pass -c4 to dpkg-gensymbols.
  * debian/libharfbuzz*.symbols: Add new symbols.
  * debian/rules: Don't export VERBOSE, debhelper does that now.
  * debian/rules: Don't disable silent rules, debhelper does it.
  * debian/compat, debian/control: Bump debhelper compat to 10.
  * debian/rules, debian/control: Let debhelper enable autoreconf for us.
  * debian/control, debian/copyright, debian/watch: Switch URLs to https.
  * debian/patches/unbreak_abi.diff: Refresh.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 25 Jan 2017 00:59:54 +0100
