=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Standards-Version: 3.9.8
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10),
  pkg-config,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.19.1),
  libcairo2-dev,
  libfreetype6-dev,
  libicu-dev,
@@ -15,10 +15,9 @@
  libgirepository1.0-dev (>= 1.31.0-2),
  gobject-introspection (>= 1.42.0),
  gtk-doc-tools (>= 1.15),
- dh-autoreconf,
-Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
-Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git
+Homepage: https://www.freedesktop.org/wiki/Software/HarfBuzz
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/harfbuzz.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/harfbuzz.git
 
 Package: libharfbuzz0b
 Architecture: any
@@ -75,7 +74,7 @@
  libharfbuzz0b (= ${binary:Version}),
  libharfbuzz-icu0 (= ${binary:Version}),
  libharfbuzz-gobject0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.16),
+ libglib2.0-dev (>= 2.19.1),
  libgraphite2-dev,
  libicu-dev,
 Description: Development files for OpenType text shaping engine
